---
title: ':future'
slug: 'Web/CSS/:future'
---
<p>{{CSSRef}}</p>

<p>The <strong><code>:future</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> selector is a time-dimensional pseudo-class that will match for any element which appears entirely after an element that matches {{cssxref(":current")}}. For example in a video with captions which are being displayed by <a href="/en-US/docs/Web/API/WebVTT_API">WebVTT</a>.</p>

<pre class="brush: css notranslate">:future(p, span) {
  display: none;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">:future(p, span) {
  display: none;
}</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;video controls preload="metadata"&gt;
  &lt;source src="video.mp4" type="video/mp4" /&gt;
  &lt;source src="video.webm" type="video/webm" /&gt;
  &lt;track label="English" kind="subtitles" srclang="en" src="subtitles.vtt" default&gt;
&lt;/video&gt;</pre>

<h3 id="WebVTT">WebVTT </h3>

<pre class="notranslate">WEBVTT FILE

1
00:00:03.500 --&gt; 00:00:05.000
This is the first caption

2
00:00:06.000 --&gt; 00:00:09.000
This is the second caption

3
00:00:11.000 --&gt; 00:00:19.000
This is the third caption
</pre>

<h2 id="Specifications">Specifications</h2>

<table>
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "##the-future-pseudo", ":future")}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.selectors.future")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVTT_API">Web Video Text Tracks Format (WebVTT</a>)</li>
 <li>{{cssxref(":current")}}</li>
 <li>{{cssxref(":past")}}</li>
</ul>
